package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.entidad.RutaEmpresa;

public class ItemRenderRutaOperadorEmbarcada implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private String descricao;
	private String classe;
	private String empresa;
	private String numRuta;
	
	public ItemRenderRutaOperadorEmbarcada(String numRuta, String descricao, String classe, List<RutaEmpresa> empresas, Ruta ruta) {
		super();
		this.descricao = descricao;
		this.classe = classe;
		this.numRuta = numRuta;
		this.empresa = "";
		int i = 0;
		for(RutaEmpresa r : empresas) {
			if(i > 0) {
				this.empresa += " / ";
			}
			
			this.empresa += r.getEmpresa().getNombempresa();
			i++;
		}
		
		this.listaRutas = new ArrayList<Ruta>();
		this.listaRutas.add(ruta);
	}

	private List<Ruta> listaRutas = new ArrayList<Ruta>();

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public String getClasse() {
		return classe;
	}

	public void setClasse(String classe) {
		this.classe = classe;
	}

	public String getEmpresa() {
		return empresa;
	}

	public void setEmpresa(String empresa) {
		this.empresa = empresa;
	}

	public List<Ruta> getListaRutas() {
		return listaRutas;
	}

	public void setListaRutas(List<Ruta> listaRutas) {
		this.listaRutas = listaRutas;
	}

	public String getNumRuta() {
		return numRuta;
	}

	public void setNumRuta(String numRuta) {
		this.numRuta = numRuta;
	}
}
